Zum Hauptinhalt springen
PATCH
/
knowledgeSource
/
filesConnector
/
folders
/
{id}
Rename or move a folder
curl --request PATCH \
  --url https://demo.enneo.ai/api/mind/knowledgeSource/filesConnector/folders/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Vertrieb",
  "parentId": 10
}
'
{
  "success": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.enneo.ai/llms.txt

Use this file to discover all available pages before exploring further.

Autorisierungen

Authorization
string
header
erforderlich

JWT-based authentication

Pfadparameter

id
integer
erforderlich

Folder structure ID

Body

application/json
name
string

New folder name

Beispiel:

"Vertrieb"

parentId
integer

New parent folder structure ID

Beispiel:

10

Antwort

Folder updated successfully

success
boolean
Beispiel:

true